UNIPRINT(1)

NAME

uniprint - produce postscript output from Unicode text for printing

SYNOPSIS

uniprint [ -out output-file ] [ -in input-file ] [ -decode encoding ] [ -printer printer ] [ -L ] [ -media media ] [ -us ] [ -nus ] [ -break ] [ -wrap ] [ -left ] [ -right ] [ -size font-size ] [ -hsize header-font-size ] [ -font font-set ]

DESCRIPTION

uniprint is a program from the yudit package. It makes a formatted poscript output that can be saved or directly sent to the printer. The program needs TrueType/OpenType/CFF fonts that have Unicode table in order to operate.

If you are running Linux you most probably have Unicode TrueType/OpenType fonts in /usr/share/fonts directory.

The postcript output contains all information needed to draw glyps. No fonts are needed on the printer side. You may encounter problems with old ghostview or old printers.

OPTIONS

-out ouput-file
    Do not sent the output to the printer, put it in the file instead. If the '-' character is specified, send the postscript data to the standard output.

-in input-file
    If specified read the document from a file. Read stdin otherwise.

-decode encoding
    specifies the encoding of the input text. All encoding methods that are available for uniconv can be used. If not specified encoding is set to utf-8.

-printer printer
    Send the postscript output to printer through the 'lpr -P Printer' command.

-break
    option makes this program print a graphical representation of line breaking characters.

-us option turns on uniscribe emulation. For some scripts emulation is turned on by default.

-nus
    option turns off uniscribe emulation. For some scripts emulation is turned off by default.

-wrap
    option makes this program do a simplistic line breaking on word boundaries.

-left
    option sets the embedding of the document to Left.

-right
    option sets the embedding of the document to Right.

-L  Selects landscape printing. The default is portrait.

-media media
    Sets paper size. The default is A4. The following media values are accepted: A3, A4, A5, B4, B5, Executive, Folio, Ledger, Legal, Letter, Quarto, Statement, Tabloid

-size font-size
    sets the size of the font for the text body in points.

-hsize heder-font-size
    sets the size of the font for the header in points. If zero size is specified, no header is printed.

-font font-set
    specifies the font to be used for printing.

    font-set is the filename part of the font, like Arial.ttf or a font set, defined in yudit.properties as yudit.font. For instance Terminal font-set that contains ipag.ttf,unifont.ttf can be used if you have the following property in yudit.properties:

    yudit.font.Terminal=ipag.ttf,unifont.ttf

    By default ~/.yudit/fonts, yudit.fontpath and /usr/share/yudit/fonts are searched for font files. This option can be specified multiple times with font file names or only once if a yudit font-set is used.

FILES
~/.yudit/yudit.properties and /usr/share/yudit/config/yudit.properties have yudit.fontpath and the font-sets defined.

SEE ALSO
uniconv

AUTHOR

This program was written by gaspar@yudit.org (Gaspar Sinai), based upon the TrueType curve conversion code of ttf2pfa program that was written by Adrew Weeks. Last Updated Tokyo, 5 February, 2023.